/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.hillenbrand.jreqtools;

import java.awt.*;
import java.awt.event.*;

class FlowLayout2D implements LayoutManager {
	private static final boolean DEBUG = false;

	
	public void addLayoutComponent(String name, Component c)  {
	}

	private Dimension layout(Container c)  {
		final Component [] comps = c.getComponents();
		final Dimension dim = c.getSize();
		
		int x=4;
		int y=4;
		
		dim.width -= 8;
		dim.height -= 8;
		
		int maxWidth=0;
		int maxHeight=0;
		
		for (int i=0; i<comps.length; ++i)
			{
			final Dimension compSize = comps[i].getPreferredSize(); 
			if (x + compSize.width > dim.width)
				{
				x=4;
				y+=maxHeight;
				maxHeight=0;
				}
			comps[i].setBounds(x, y, compSize.width, compSize.height);
			x += compSize.width;
			maxWidth = Math.max(maxWidth, x);
			maxHeight = Math.max(maxHeight, compSize.height);
			}
		
		return new Dimension(maxWidth+4, y+maxHeight+4);
	}

	public void layoutContainer(Container c)  {
		layout(c);
	}

	public Dimension minimumLayoutSize(Container c)  {
		return new Dimension(100, 100);
	}

	public Dimension preferredLayoutSize(Container c)  {
		return layout(c);
	}

	public void removeLayoutComponent(Component c)  {
	}

}
