package de.hillenbrand.jreqtools;

public class PropertyEditorElement
   {
   private String key, defaultValue, description;
   private PropertyEditorElementType type;

   public PropertyEditorElement(String key, String defaultValue, String description)
	{
	this(key, defaultValue, description, PropertyEditorElementType.STRING);
	}

   public PropertyEditorElement(String key, String defaultValue, String description, PropertyEditorElementType type)
	{
	this.key = key;
	this.defaultValue = defaultValue;
	this.description = description;
	this.type = type;
	}

   public String getDefaultValue()
	{
	return defaultValue;
	}

   public void setDefaultValue(String defaultValue)
	{
	this.defaultValue = defaultValue;
	}

   public String getDescription()
	{
	return description;
	}

   public void setDescription(String description)
	{
	this.description = description;
	}

   public String getKey()
	{
	return key;
	}

   public void setKey(String key)
	{
	this.key = key;
	}

   public PropertyEditorElementType getType()
	{
	return type;
	}

   public void setType(PropertyEditorElementType type)
	{
	this.type = type;
	}

   @Override
   public String toString()
	{
	return getClass().getName() + "[" + key + ", " + defaultValue + "," + description + "," + type + "]";
	}
   }
