package de.hillenbrand.jreqtools;

import de.hillenbrand.swing.*;
import de.hillenbrand.system.UIPreferences;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.UUID;
import javax.swing.JComponent;
import javax.swing.UIManager;
import javax.swing.text.*;

public enum PropertyEditorElementType
   {
   STRING, URL, PASSWORD, INTEGER, TEXT;

   public JTextComponent getJTextComponent(String value)
	{
	if (this == STRING || this == PASSWORD)
	   {
	   return new HTextField(value)
		{
		public Dimension getPreferredSize()
		   {
		   return new Dimension(400, super.getPreferredSize().height);
		   }
		};
	   }
	else if (this == URL)
	   {
	   return new HTextField(value)
		{
		public Dimension getPreferredSize()
		   {
		   return new Dimension(400, super.getPreferredSize().height);
		   }
		};
	   }
	else if (this == INTEGER)
	   {
	   return new HTextField(value)
		{
		public Dimension getPreferredSize()
		   {
		   return new Dimension(400, super.getPreferredSize().height);
		   }
		};
	   }
	else if (this == TEXT)
	   {
	   return new HTextArea(value)
		{
		public Dimension getPreferredSize()
		   {
		   return new Dimension(400, 50);
		   }
		};
	   }
	else
	   {
	   throw new IllegalArgumentException("Unknown element type: " + this);
	   }
	}

   public int getWeightY()
	{
	if (this == TEXT)
	   {
	   return 1;
	   }
	else
	   {
	   return 0;
	   }
	}

   public boolean needsScrollPane()
	{
	if (this == TEXT)
	   {
	   return true;
	   }
	else
	   {
	   return false;
	   }
	}

   public JComponent getAdditionalComponent(final JTextComponent parent)
	{
	if (this == URL)
	   {
	   final HIconButton button = new HIconButton(UIManager.getIcon(UIPreferences.BUTTON_ICON_WWW), "Browse this URL.");
	   button.addActionListener(new ActionListener()
		{
		public void actionPerformed(ActionEvent e)
		   {
		   HDesktop.browse(parent, parent.getText());
		   }
		});
	   return button;
	   }
	else if (this == PASSWORD)
	   {
	   final HIconButton button = new HIconButton(UIManager.getIcon(UIPreferences.BUTTON_ICON_EXECUTE), "Generate a password.");
	   button.addActionListener(new ActionListener()
		{
		public void actionPerformed(ActionEvent e)
		   {
		   parent.setText(UUID.randomUUID().toString().replace('-', 'x').substring(0, 10));
		   }
		});
	   return button;
	   }
	else
	   {
	   return null;
	   }
	}
   }
