/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package de.hillenbrand.jreqtools;

import de.hillenbrand.swing.*;
import de.hillenbrand.system.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class SpecialCharacterFrame extends HFrame
   {
   public SpecialCharacterFrame()
	{
	super("JReqTools: Insert Special Character");//, "Please select a special character to insert:");

	setContentPane(getUserPanel());
	setSize(600, 400);
	}

   protected void cancel()
	{
	setVisible(false);
	}

   protected JPanel getUserPanel()
	{
	final JPanel chars = new JPanel(new GridLayout(0, 16, 0, 0));
	chars.setBackground(Color.black);
	final Font font = new Font("sans", Font.PLAIN, 16);
	final ButtonGroup bg = new ButtonGroup();

	final char[] ranges =
	   {
	   0x0020, 0x007E,
	   0x00A0, 0x00FF,
	   0x0100, 0x017F,
	   0x0192, 0x01FF,
	   0x02C6, 0x2DD,
	   0x0300, 0x0323,
	   0x037E, 0x03CE,
	   };

	for (int i = 0; i < ranges.length; i += 2)
	   {
	   for (char c = ranges[i]; c <= ranges[i + 1]; ++c)
		{
		if (!Character.isDefined(c))
		   {
		   continue;
		   }
		final JToggleButton b = new JToggleButton(new Character(c).toString());
		b.setBorder(BorderFactory.createEmptyBorder());
		b.setMargin(new Insets(0, 0, 0, 0));
		b.setPreferredSize(new Dimension(20, 20));
		chars.add(b);
		bg.add(b);
		}
	   }
	final JPanel result = new JPanel(new GridBagLayout());
	result.setBorder(UIPreferences.getFrameBorder());

	final JScrollPane sc = new JScrollPane(chars);
	sc.setMinimumSize(new Dimension(chars.getPreferredSize().width + 50, 200));
	sc.setPreferredSize(new Dimension(chars.getPreferredSize().width + 50, 200));

	final HGridBagConstraints c = UIPreferences.getGridBagConstraints();
	c.set(0,0,1,1,0,0,GridBagConstraints.BOTH);
	result.add(sc, c);

	return result;
	}

   public static void main(String[] args)
	{
	// init UI preferences
	UIPreferences.init();

	// create and open the frame
	final SpecialCharacterFrame test = new SpecialCharacterFrame();
	test.addWindowListener(new WindowAdapter()
	   {
	   public void windowClosing(WindowEvent e)
		{
		System.exit(0);
		}
	   });
	test.setVisible(true);
	}
   }
