/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.hillenbrand.swing;

import java.awt.*;
import javax.swing.*;

public class HFontDisplay extends JTextField {
	private static final boolean DEBUG = false;

	Font font = null;
	
	public HFontDisplay()  {
		super("123 AaBbCcDdEeFfGgHhIiJjKkLlMmNnOoPpQqRrSsTtUuVvWwXxYyZz äüößÄÖÜ");
		
		this.setEditable(false);
		this.setBorder(BorderFactory.createLoweredBevelBorder());
		this.setFocusable(false);
	}

	public Dimension getMaximumSize()  {
		return new Dimension(Short.MAX_VALUE, Short.MAX_VALUE);
	}

	public Dimension getMinimumSize()  {
		return new Dimension(200,50);
	}

	public Dimension getPreferredSize()  {
		return new Dimension(200,50);
	}

	public void setFont(Font f)  {
		super.setFont(f);
		repaint();
	}

}
