/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.hillenbrand.swing;

import de.hillenbrand.jreqtools.*;
import de.hillenbrand.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.plaf.*;

public final class HFontRequesterButton extends JButton {
	private static final boolean DEBUG = false;

	private Font userfont = new Font("SansSerif", Font.PLAIN, 12);
	
	public HFontRequesterButton()  {
		super("");
		
		setText(getFontAsString());
		
		this.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				final FontRequester req = new FontRequester("Please select a font", userfont);
				if (req.request(SwingUtils.getJFrame(HFontRequesterButton.this)) != FontRequester.OK) return;
				setFont(req.getFont());
			}
		});
	}

	public Font getFont()  {
		return userfont;
	}

	public String getFontAsString()  {
		String style = "";
		if (userfont.isBold()) 	style += "b";
		if (userfont.isItalic()) style += "i";
		
		return userfont.getName() + "/" + userfont.getSize() + style;
	}

	public void setFont(Font newFont)  {
		userfont = newFont;
		super.setText(getFontAsString());
		super.setFont(userfont);
	}

}
