/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.hillenbrand.swing;

import de.hillenbrand.swing.text.*;
import java.awt.Color;
import java.awt.event.*;
import java.awt.Font;
import java.io.*;
import java.util.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;
import javax.swing.undo.*;

public class HJavaEditorPane extends HEditorPane {
	private static final boolean DEBUG = false;

	
	public HJavaEditorPane()  {
		// create a java editor kit
		final JavaEditorKit kit = new JavaEditorKit();
		
		// init editor
		this.setDocument(new JavaDocument());
		this.setEditorKit(kit);
		this.setContentType("text/java");
		
		// set colors
		final JavaContext styles = kit.getStylePreferences();
		Style s = styles.getStyleForScanValue(Token.COMMENT.getScanValue());
		
		StyleConstants.setForeground(s, new Color(102, 153, 153));
		s = styles.getStyleForScanValue(Token.STRINGVAL.getScanValue());
		
		StyleConstants.setForeground(s, new Color(102, 153, 102));
		final Color keyword = new Color(102, 102, 255);
		
		for (int code = 70; code <= 130; code++) 
			{
			s = styles.getStyleForScanValue(code);
			if (s != null) StyleConstants.setForeground(s, keyword);
			}
	}

}
