/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package de.hillenbrand.swing;

import de.hillenbrand.system.*;
import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;

public class HLinkLabel extends JLabel
   {
   final ArrayList<ActionListener> listeners = new ArrayList<ActionListener>();
   static int id = 0;

   public HLinkLabel(final String text)
	{
	super("<html><u>" + text + "</u></html>");

	this.addMouseListener(new MouseAdapter()
	   {
	   public void mouseClicked(MouseEvent e)
		{
		sendEvent();
		}

	   public void mouseEntered(MouseEvent e)
		{
		setCursor(new Cursor(Cursor.HAND_CURSOR));
		setText("<html><div color=\"#800080\"><u>" + text + "</u></div></html>");
		}

	   public void mouseExited(MouseEvent e)
		{
		setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
		setText("<html><u>" + text + "</u></html>");
		}
	   });

	/*
	setEditable(false);
	setBorder(BorderFactory.createEmptyBorder());

	try
	{
	final StyleContext styleContext = new StyleContext();
	final Style style =  styleContext.addStyle(null, null);
	StyleConstants.setUnderline(style, true);
	StyleConstants.setItalic(style, true);
	StyleConstants.setFontSize(style, 24);

	final DefaultStyledDocument d =  new DefaultStyledDocument(styleContext);
	setDocument(d);

	d.insertString(0, text, style);
	d.setLogicalStyle(d.getLength() - 1, style);
	}
	catch (Exception x) { x.printStackTrace(); }
	 */

	}

   public void addActionListener(ActionListener l)
	{
	listeners.add(l);
	}

   public void removeActionListener(ActionListener l)
	{
	listeners.remove(l);
	}

   private void sendEvent()
	{
	final ActionEvent e = new ActionEvent(this, ++id, "");
	for (ActionListener l : listeners)
	   {
	   l.actionPerformed(e);
	   }
	}
   }
