/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.hillenbrand.swing.border;

import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import de.hillenbrand.util.*;

public class ChiselBorder implements Border {
	private Insets insets = new Insets(1, 0, 1, 0);
	
	public ChiselBorder()  {
	}

	public Insets getBorderInsets(Component c)  {
		return insets;
	}

	public boolean isBorderOpaque()  {
		return true;
	}

	public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)  {
		final Color color = c.getBackground();
		
		g.setColor(ColorUtils.deriveColorHSB(color, 0, 0, .2f));
		g.drawLine(x, y, x + width, y);
		
		g.setColor(ColorUtils.deriveColorHSB(color, 0, 0, -.2f));
		g.drawLine(x, y + height - 1, x + width, y + height - 1);
	}

}
