/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.hillenbrand.swing.plaf.metal.themes;

import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;
import javax.swing.*;
import javax.swing.border.*;
import java.awt.*;

/**
* This class describes a theme using red colors.
* 
* @version 1.9 07/26/04
* @author Jeff Dinkins
* 
*/

public class RubyTheme extends DefaultMetalTheme {
	private final ColorUIResource primary1 = new ColorUIResource(80, 10, 22);
	private final ColorUIResource primary2 = new ColorUIResource(193, 10, 44);
	private final ColorUIResource primary3 = new ColorUIResource(244, 10, 66);
	
	public String getName()  {
		return "Ruby"; 
	}

	protected ColorUIResource getPrimary1()  {
		return primary1; 
	}

	protected ColorUIResource getPrimary2()  {
		return primary2; 
	}

	protected ColorUIResource getPrimary3()  {
		return primary3; 
	}

}
