/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package de.hillenbrand.swing.plaf.threeD;

import de.hillenbrand.swing.*;
import de.hillenbrand.swing.plaf.threeD.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public final class HBorderRequesterButton extends JButton
   {
   // contants
   private final int WIDTH = 50;
   private final int HEIGHT = 20;
   // variables
   private int bordertype = ThreeDUtils.RAISED_THIN;

   public HBorderRequesterButton()
	{
	super("");

	// set icon
	setIcon(new Icon()
	   {
	   public int getIconWidth()
		{
		return WIDTH;
		}

	   public int getIconHeight()
		{
		return HEIGHT;
		}

	   public void paintIcon(Component c, Graphics g, int x, int y)
		{
		ThreeDUtils.drawBorder(bordertype, g, x, y, WIDTH, HEIGHT);
		}
	   });

	// listener
	this.addActionListener(new ActionListener()
	   {
	   public void actionPerformed(ActionEvent e)
		{
		final HBorderRequester chooser = new HBorderRequester(bordertype);
		if (chooser.request(SwingUtils.getJFrame(HBorderRequesterButton.this)) != HBorderRequester.OK)
		   {
		   return;
		   }
		setBorderType(chooser.getBorderType());
		}
	   });
	}

   public int getBorderType()
	{
	return bordertype;
	}

   public void setBorderType(int type)
	{
	bordertype = type;
	}
   }
