/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package de.hillenbrand.swing.plaf.threeD;

import java.awt.*;
import javax.swing.*;
import javax.swing.plaf.*;
import javax.swing.plaf.basic.*;

public class ThreeD_PopupMenuSeparatorUI extends BasicPopupMenuSeparatorUI {
	
	public static ComponentUI createUI(JComponent c)  {
		return new ThreeD_PopupMenuSeparatorUI();
	}

	public Dimension getPreferredSize(JComponent c)  {
		return new Dimension(0,6);
	}

	public void paint(Graphics g, JComponent c)  {
		ThreeDUtils.setRenderingHints(g);
		
		Dimension s = c.getSize();
		
		g.setColor(ThreeDPrefs.darkEdgeColor);
		g.drawLine(0,2,s.width,2);
		g.setColor(ThreeDPrefs.lightEdgeColor);
		g.drawLine(0,3,s.width,3);
	}

}
