/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package de.hillenbrand.util;

import java.io.*;
import java.util.zip.*;
import java.util.*;

public class ExtractableZipFile extends java.util.zip.ZipFile
   {
   public ExtractableZipFile(File directory, String filename) throws ZipException, IOException
	{
	super(new File(directory, filename));
	}

   public void extractTo(File directory) throws IOException
	{
	directory.mkdirs();

	for (Enumeration e = entries(); e.hasMoreElements();)
	   {
	   ZipEntry entry = (ZipEntry) e.nextElement();
	   String name = entry.getName().replace("/".charAt(0), File.separatorChar);
	   if (entry.isDirectory())
		{
		File dir = new File(directory, entry.getName());
		dir.mkdirs();
		continue;
		}
	   InputStream stream = getInputStream(entry);
	   File f = new File(directory, entry.getName());
	   new File(f.getParent()).mkdirs();
	   FileOutputStream out = new FileOutputStream(f);
	   int i = 0;
	   while ((i = stream.read()) != -1)
		{
		out.write(i);
		}
	   out.close();
	   }
	}
   }
